Subject: bug#47712: 27.1; Provide `string-display-width` function, which takes properties into account, `substring-width`

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 13 Apr 2021 10:01:12 +0200

Daniel Mendler <[email-masked]> writes:

> Note that I would like to have an implementation of
> `substring-width`/`string-display-width`/`substring-display-width`
> which does not allocate, since this reduces the GC pressure when
> formatting many items. How do you think about this?
>
> Regarding images, different fonts, maybe a
> `string-property-pixel-width` would be useful too. But for the use
> cases I have in mind (formatting monospaced text) computing columns is
> sufficient.

Sure; I think a non-allocating function to count monospaced string width
would be useful.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no